Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.blog
Interface Response

All Known Subinterfaces:
  Comment, Pingback, Trackback

All Known Implementing Classes:
  DatabaseComment, DatabasePingback, DatabaseTrackback

public interface Response

Response

Since:
  blojsom 3.0
Version:
  $Id: Response.java,v 1.1 2006/04/05 00:46:54 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`static java.lang.String` | `COMMENT_TYPE`
`static java.lang.String` | `PINGBACK_TYPE`
`static java.lang.String` | `TRACKBACK_TYPE`

Method Summary
`java.util.Date` | `getDate()` Retrieve the date for this object
`java.lang.String` | `getIp()` Get the IP
`java.lang.String` | `getStatus()` Get the status
`java.lang.String` | `getType()` Get the response type
`void` | `setIp(java.lang.String ip)` Get the IP
`void` | `setStatus(java.lang.String status)` Set the status

Field Detail

### COMMENT_TYPE

    public static final java.lang.String COMMENT_TYPE

See Also:
  Constant Field Values

### TRACKBACK_TYPE

    public static final java.lang.String TRACKBACK_TYPE

See Also:
  Constant Field Values

### PINGBACK_TYPE

    public static final java.lang.String PINGBACK_TYPE

See Also:
  Constant Field Values

Method Detail

### getDate

    public java.util.Date getDate()

  Retrieve the date for this object

  Returns:
    Date

### getType

    public java.lang.String getType()

  Get the response type

  Returns:
    Response type

### getStatus

    public java.lang.String getStatus()

  Get the status

  Returns:
    Status

### setStatus

    public void setStatus(java.lang.String status)

  Set the status

  Parameters:
    `status` - Status

### getIp

    public java.lang.String getIp()

  Get the IP

  Returns:
    IP

### setIp

    public void setIp(java.lang.String ip)

  Get the IP

  Returns:
    IP

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD